低危 IBM HTTP Server up to 1.3.28x Transfer-Encoding HTTP Request 跨站脚本攻击

CVE编号

CVE-2005-2088

利用情况

暂无

补丁情况

官方补丁

披露时间

2005-07-05
漏洞描述
在1.3.34之前和2.0.55之前,ApacheHTTP服务器充当HTTP代理时,允许远程攻击者通过HTTP请求毒害WebCache、绕过Web应用程序防火墙保护,并通过HTTP请求进行XSS攻击,其中包括"传输编码:chunked"头和内容长度标头,这导致Apache错误地处理和转发请求的主体,从而使接收服务器将其处理为单独的HTTP请求,也就是"HTTP请求走私。"

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://docs.info.apple.com/article.html?artnum=302847
http://lists.trustix.org/pipermail/tsl-announce/2005-October/000354.html
http://marc.info/?l=apache-httpd-announce&m=112931556417329&w=3
http://seclists.org/lists/bugtraq/2005/Jun/0025.html
http://secunia.com/advisories/14530
http://secunia.com/advisories/17319
http://secunia.com/advisories/17487
http://secunia.com/advisories/17813
http://secunia.com/advisories/19072
http://secunia.com/advisories/19073
http://secunia.com/advisories/19185
http://secunia.com/advisories/19317
http://secunia.com/advisories/23074
http://securityreason.com/securityalert/604
http://securitytracker.com/id?1014323
http://slackware.com/security/viewer.php?l=slackware-security&y=2005&m=slackw...
http://sunsolve.sun.com/search/document.do?assetkey=1-26-102197-1
http://sunsolve.sun.com/search/document.do?assetkey=1-26-102198-1
http://support.avaya.com/elmodocs2/security/ASA-2006-081.htm
http://www-1.ibm.com/support/search.wss?rs=0&q=PK13959&apar=only
http://www-1.ibm.com/support/search.wss?rs=0&q=PK16139&apar=only
http://www.apache.org/dist/httpd/CHANGES_1.3
http://www.apache.org/dist/httpd/CHANGES_2.0
http://www.debian.org/security/2005/dsa-803
http://www.debian.org/security/2005/dsa-805
http://www.mandriva.com/security/advisories?name=MDKSA-2005:130
http://www.novell.com/linux/security/advisories/2005_18_sr.html
http://www.novell.com/linux/security/advisories/2005_46_apache.html
http://www.redhat.com/support/errata/RHSA-2005-582.html
http://www.securiteam.com/securityreviews/5GP0220G0U.html
http://www.securityfocus.com/archive/1/428138/100/0/threaded
http://www.securityfocus.com/bid/14106
http://www.securityfocus.com/bid/15647
http://www.ubuntu.com/usn/usn-160-2
http://www.vupen.com/english/advisories/2005/2140
http://www.vupen.com/english/advisories/2005/2659
http://www.vupen.com/english/advisories/2006/0789
http://www.vupen.com/english/advisories/2006/1018
http://www.vupen.com/english/advisories/2006/4680
http://www.watchfire.com/resources/HTTP-Request-Smuggling.pdf
http://www1.itrc.hp.com/service/cki/docDisplay.do?docId=c00612828
https://lists.apache.org/thread.html/54a42d4b01968df1117cea77fc53d6beb931c0e0...
https://lists.apache.org/thread.html/5df9bfb86a3b054bb985a45ff9250b0332c9ecc1...
https://lists.apache.org/thread.html/r0276683d8e1e07153fc8642618830ac0ade85b9...
https://lists.apache.org/thread.html/r2cb985de917e7da0848c440535f65a247754db8...
https://lists.apache.org/thread.html/r5001ecf3d6b2bdd0b732e527654248abb264f08...
https://lists.apache.org/thread.html/r734a07156abf332d5ab27fb91d9d962cacfef4f...
https://lists.apache.org/thread.html/r8828e649175df56f1f9e3919938ac7826128525...
https://lists.apache.org/thread.html/r9e8622254184645bc963a1d47c5d47f6d5a36d6...
https://lists.apache.org/thread.html/r9f93cf6dde308d42a9c807784e8102600d0397f...
https://lists.apache.org/thread.html/rd65d8ba68ba17e7deedafbf5bb4899f2ae4dad7...
https://lists.apache.org/thread.html/re895fc1736d25c8cf57e102c871613b8aeec9ea...
https://lists.apache.org/thread.html/rf6449464fd8b7437704c55f88361b66f12d5b5f...
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://secure-support.novell.com/KanisaPlatform/Publishing/741/3222109_f.SAL...
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache http_server 1.3.29 -
运行在以下环境
应用 apache http_server 1.3.30 -
运行在以下环境
应用 apache http_server 1.3.31 -
运行在以下环境
应用 apache http_server 1.3.32 -
运行在以下环境
应用 apache http_server 1.3.33 -
运行在以下环境
应用 apache http_server 2.0.45 -
运行在以下环境
应用 apache http_server 2.0.46 -
运行在以下环境
应用 apache http_server 2.0.47 -
运行在以下环境
应用 apache http_server 2.0.48 -
运行在以下环境
应用 apache http_server 2.0.49 -
运行在以下环境
应用 apache http_server 2.0.50 -
运行在以下环境
应用 apache http_server 2.0.51 -
运行在以下环境
应用 apache http_server 2.0.52 -
运行在以下环境
应用 apache http_server 2.0.53 -
运行在以下环境
应用 apache http_server 2.0.54 -
运行在以下环境
系统 debian_3.1 apache2 * Up to
(excluding)
2.0.54-5
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    -
CWE-ID 漏洞类型
NVD-CWE-noinfo
NVD-CWE-Other
阿里云安全产品覆盖情况